import java.util.Scanner;

public class Cases {
	
	public static boolean isUpper(char c)
	{
		return c >= 'A' && c <= 'Z';
	}
	public static boolean isLower(char c)
	{
		return c >= 'a' && c <= 'z';
	}
	public static boolean isLetter(char c)
	{
		return isUpper(c) || isLower(c);
	}
	public static char lowerCase(char c)
	{
		//Character is not a letter or is already lowercase
		if(!isLetter(c) || isLower(c))
			return c;
		
		//Here we are sure the character is uppercase
		int dif = c - 'A';
		return (char) ('a' + dif);
	}
	public static char upperCase(char c)
	{
		if(!isLetter(c) || isUpper(c))
			return c;
		int dif = c - 'a';
		return (char) ('A' + dif);
	}
	public static String toLower(String s)
	{
		String res = "";
		for(int i = 0; i < s.length(); i++)
			res += lowerCase(s.charAt(i));
		return res;
	}
	public static String toUpper(String s)
	{
		String res = "";
		for(int i = 0; i < s.length(); i++)
			res += upperCase(s.charAt(i));
		return res;
	}
	public static String title(String s)
	{
		boolean cap = true;
		String res 	= "";
		for(int i = 0; i < s.length(); i++)
		{
			char c = s.charAt(i);
			if(c == ' ') cap = true;
			else
			{
				if(cap)
				{
					c 	= upperCase(c);
					cap = false;
				}
				else
				{
					c 	= lowerCase(c);
				}
			}
			res += c;
		}
		return res;
	}
	//Uppercase first letter, lowercase the rest
	public static String word(String s)
	{
		return upperCase(s.charAt(0))
				+ toLower(s.substring(1));
		
	}
	public static String title2(String s)
	{
		String res = "";
	    
		//Next we find the next space
		//We stop when we cannot find a space
		//We update by looking for the next space
	    for(int nextWord = s.indexOf(' '); nextWord != -1; nextWord = s.indexOf(' '))
	    {
	    	//We take the part right until the space
	    	//Apply the word transformation
	    	res += word(s.substring(0, nextWord));
	    	//We add the space since we didn't take it into account
	    	res += " ";
	    	//Update the string by taking out the word we processed already
	    	s   = s.substring(nextWord + 1);
	    }
	    //We still have the last word (or in the case where there was no space)
	    res += word(s);
	    return res;
	}
	public static void main(String[] args)
	{
		@SuppressWarnings("resource")
		Scanner scan 	= new Scanner(System.in);
		int n 			= Integer.parseInt(args[0]);
		String sentence;
		
		System.out.print("Enter Sentence: ");
		sentence = scan.nextLine();
		
		if(n == 1)
			System.out.println(toLower(sentence));
		else if(n == 2)
			System.out.println(toUpper(sentence));
		else if(n == 3)
			System.out.println(title(sentence));
		else
			System.out.println("N must be between 1 and 3");
		
	}
}
